Name:           dino-midi
Version:        0.2.8
Release:        2%{?dist}
Summary:        MIDI sequencer

License:        GPLv3
URL:            https://dino.nongnu.org/
Source0:        https://download.savannah.nongnu.org/releases/dino/dino-0.2.8.tar.gz
Patch:          dino-0.2.8-my.patch

BuildRequires:  gcc-c++
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libxml++-devel
BuildRequires:  lash-devel
BuildRequires:  dbus-devel
BuildRequires:  gtkmm2.4-devel
BuildRequires:  libglademm24-devel
Conflicts:      dino

%description
Dino is a MIDI sequencer for GNU/Linux. It uses the JACK infrastructure to send and receive MIDI messages.

%prep
%autosetup -p1 -n dino-0.2.8

%build
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc AUTHORS README TODO ChangeLog
%{_bindir}/dino
%{_datadir}/dino/dino.glade
%{_datadir}/dino/head.png
%{_datadir}/dino/midisaurus.png


%changelog
* Thu Sep 12 2024 Andrew Potter <agpotter@gmail.com>
- Fix introduced track widget bug

* Thu Sep 12 2024 Andrew Potter <agpotter@gmail.com>
- Fixes to build on modern gcc
